Bug 102288 - vsftpd cannot find object to link with
vsftpd cannot find object to link with
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: vsftpd (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-13 10:24 EDT by Michael Lee Yohe
Modified: 2014-03-16 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-13 14:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2003-08-13 10:24:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030722 Galeon/1.3.7

Description of problem:
I receive the following when attempting to build the Rawhide vsftpd:

gcc -c main.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c utility.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c prelogin.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ftpcmdio.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c postlogin.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c privsock.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c tunables.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ftpdataio.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c secbuf.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ls.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c postprivparent.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c logging.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c str.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c netstr.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c sysstr.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c strlist.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c banner.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c filestr.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c parseconf.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c secutil.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ascii.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c oneprocess.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c twoprocess.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c privops.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c standalone.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c hash.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c tcpwrap.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ipv6parse.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c sysutil.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c sysdeputil.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -o vsftpd main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o
tunables.o ftpdataio.o secbuf.o ls.o postprivparent.o logging.o str.o netstr.o
sysstr.o strlist.o banner.o filestr.o parseconf.o secutil.o ascii.o oneprocess.o
twoprocess.o privops.o standalone.o hash.o tcpwrap.o ipv6parse.o sysutil.o
sysdeputil.o -pie `./vsf_findlibs.sh`
/usr/bin/ld: cannot open Scrt1.o: No such file or directory

Am I missing something?

Version-Release number of selected component (if applicable):
vsftpd-1.2.0-3.1

How reproducible:
Always

Steps to Reproduce:
1. see description
    

Actual Results:  see description

Expected Results:  vsftpd binary RPM is created.

Additional info:

Of the BuildRequires:

gcc version is 3.3-16.
binutils version is 2.14.90.0.4-15.
Comment 1 Bill Nottingham 2003-08-13 11:22:57 EDT
Hm, it works for me. How are you invoking rpmbuild?

[notting@apone: ~]$ rpm -q gcc
gcc-3.3-15
[notting@apone: ~]$ rpm -q binutils
binutils-2.14.90.0.4-23
Comment 2 Michael Lee Yohe 2003-08-13 11:44:50 EDT
Absolutely using rpmbuild.

$ rpmbuild -bb --target i686 vsftpd.spec 
Building target platforms: i686
Building for target i686
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.96698
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /usr/src/redhat/BUILD
+ rm -rf vsftpd-1.2.0
+ /usr/bin/gzip -dc /usr/src/redhat/SOURCES/vsftpd-1.2.0.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd vsftpd-1.2.0
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ echo 'Patch #1 (vsftpd-1.1.3-rh.patch):'
Patch #1 (vsftpd-1.1.3-rh.patch):
+ patch -p1 -b --suffix .rh -s
+ echo 'Patch #2 (vsftpd-1.0.1-missingok.patch):'
Patch #2 (vsftpd-1.0.1-missingok.patch):
+ patch -p1 -b --suffix .mok -s
+ echo 'Patch #3 (vsftpd-1.2.0-tcp_wrappers.patch):'
Patch #3 (vsftpd-1.2.0-tcp_wrappers.patch):
+ patch -p1 -b --suffix .tcp_wrappers -s
+ echo 'Patch #4 (vsftpd-1.2.0-man.patch):'
Patch #4 (vsftpd-1.2.0-man.patch):
+ patch -p1 -b --suffix .manpage -s
+ cp /usr/src/redhat/SOURCES/vsftpd.xinetd .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.96698
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd vsftpd-1.2.0
+ LANG=C
+ export LANG
+ unset DISPLAY
+ make 'CFLAGS=-O2 -g -pipe -march=i686 -fpie -pipe' LINK=-pie
gcc -c main.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c utility.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c prelogin.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ftpcmdio.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c postlogin.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c privsock.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c tunables.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ftpdataio.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c secbuf.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ls.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c postprivparent.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c logging.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c str.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c netstr.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c sysstr.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c strlist.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c banner.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c filestr.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c parseconf.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c secutil.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ascii.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c oneprocess.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c twoprocess.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c privops.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c standalone.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c hash.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c tcpwrap.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c ipv6parse.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c sysutil.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -c sysdeputil.c -O2 -g -pipe -march=i686 -fpie -pipe -idirafter dummyinc
gcc -o vsftpd main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o
tunables.o ftpdataio.o secbuf.o ls.o postprivparent.o logging.o str.o netstr.o
sysstr.o strlist.o banner.o filestr.o parseconf.o secutil.o ascii.o oneprocess.o
twoprocess.o privops.o standalone.o hash.o tcpwrap.o ipv6parse.o sysutil.o
sysdeputil.o -pie `./vsf_findlibs.sh`
/usr/bin/ld: cannot open Scrt1.o: No such file or directory
collect2: ld returned 1 exit status
make: *** [vsftpd] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.96698 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.96698 (%build)
Comment 3 Bill Nottingham 2003-08-13 11:50:23 EDT
Do you have any non-standard rpm configuration parameters set?

What is the output of vsf_findlibs.sh?
Comment 4 Michael Lee Yohe 2003-08-13 13:46:44 EDT
Using the standard Red Hat Linux 9 RPM configuration.

In /usr/src/redhat/BUILD/vsftpd-1.2.0 -

$ ./vsf_findlibs.sh 
-lwrap
-lnsl
-lpam
-lcap

$ rpm -qf /usr/lib/libnsl.so
glibc-devel-2.3.2-27.9

$ rpm -qf /usr/lib/libwrap.so
tcp_wrappers-7.6-34

$ rpm -qf /usr/lib/libpam.so
pam-devel-0.77-2

$ rpm -qf /lib/libcap.so
libcap-devel-1.10-15

Are there other BuildRequires for this SRPM?
Comment 5 Bill Nottingham 2003-08-13 14:05:05 EDT
No, I'm confused as to where that error is coming from; you *may* need newer
glibc. Jakub?
Comment 6 Bill Nottingham 2003-08-13 14:09:42 EDT
Ah, you need glibc-devel-2.3.2-45 or later.  Build prereq added, will get fixed
whenever I rebuild.
Comment 7 Michael Lee Yohe 2003-08-27 12:42:53 EDT
I just downloaded the latest version of vsftpd from Rawhide.  The reference is
still missing.
Comment 8 Jakub Jelinek 2003-08-27 12:45:30 EDT
You need to download latest version of glibc (and glibc-devel) from rawhide
as well.
Comment 9 Michael Lee Yohe 2003-08-27 12:57:24 EDT
Already did that.. just merely stating that the Rawhide vsftpd spec file still
does not make that requirement.

Note You need to log in before you can comment on or make changes to this bug.